> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recuperer le pourcentage du chauffage electrique mensuel



## OpenAPI

````yaml /api-reference/weather-api.yaml get /weather-stations/site/{site-id}/monthly-elec-heating-percents
openapi: 3.0.1
info:
  title: weather lifecycle
  description: This API manages the lifecycles of the weather
  termsOfService: ''
  contact:
    email: dev@edelia.fr
  version: 1.0.4
servers:
  - url: https://api.home.datanumia.com/api/v1
security: []
tags:
  - name: Weather Stations
paths:
  /weather-stations/site/{site-id}/monthly-elec-heating-percents:
    get:
      tags:
        - Monthly Elec Heating Percents
      summary: Recuperer le pourcentage du chauffage electrique mensuel
      operationId: getMonthlyElecHeatingPercents
      parameters:
        - name: site-id
          in: path
          description: The Edelia site id
          required: true
          schema:
            type: string
        - name: begin-month
          in: query
          description: Begin month (included). ISO8601 (YYYY-MM)
          required: true
          schema:
            type: string
        - name: end-month
          in: query
          description: End month (excluded). ISO8601 (YYYY-MM)
          required: true
          schema:
            type: string
        - name: ref-annual-consumption
          in: query
          description: The reference annual consumption
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MonthlyElecHeatingPercents'
        '400':
          description: Functional error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content: {}
        '500':
          description: Technical Error
          content: {}
components:
  schemas:
    MonthlyElecHeatingPercents:
      required:
        - month
        - percent
      type: object
      properties:
        month:
          type: string
          description: Mois de la consommation mensuelle au format ISO8601 (YYYY-MM)
        percent:
          type: number
          description: part du chauffage de la consommation mensuelle en %
          format: double
    ErrorResponse:
      type: object
      properties:
        errorCode:
          type: string
          description: The error code
        errorDescription:
          type: string
          description: The error description

````